Warnings when access "Account settings" page

Bug #1410953 reported by Son Nguyen on 2015-01-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Son Nguyen
1.10
Low
Unassigned
1.9
Low
Unassigned

Bug Description

Version: master (15.04), 1.10
Platform: PHP 5.4+
Browser: any

I got the following warning and access the "Account settings" page

[WAR] e4 (lib/mahara.php:1013) Creating default object from empty value
Call stack (most recent first):

    log_message("Creating default object from empty value", 8, true, true, "...", 1013) at ...htdocs/lib/errors.php:439
    error(2, "Creating default object from empty value", "/...", 1013, array(size 8)) at ...htdocs/lib/mahara.php:1013
    get_config_plugin_instance("auth", "26", "changepasswordurl") at ...htdocs/account/index.php:48

Steps:

1. Create an institution that has an auth instance other than "internal", e.g. Persona
2. Create a new user using the above authentication.
3. Login as the user and access the "Account settings" page

You will see the warning on the screen or in the error log file.

Son Nguyen (ngson2000) on 2015-01-14
no longer affects: mahara/1.8
no longer affects: mahara/1.9
Son Nguyen (ngson2000) on 2015-01-14
description: updated

Reviewed: https://reviews.mahara.org/4178
Committed: http://gitorious.org/mahara/mahara/commit/fe9cc367882d5178c23200826042e60c8c32f9a7
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit fe9cc367882d5178c23200826042e60c8c32f9a7
Author: Son Nguyen <email address hidden>
Date: Thu Jan 15 09:23:13 2015 +1300

Using the new format for plugin configs. Bug 1410953

The old format caused a strict standards warning in PHP 5.5

Change-Id: I3014aae0bbdca131c63735a5daade299d11a265b
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2015-02-17
Changed in mahara:
status: In Progress → Fix Committed
Aaron Wells (u-aaronw) on 2015-03-24
description: updated

Reviewed: https://reviews.mahara.org/4285
Committed: http://gitorious.org/mahara/mahara/commit/39740e7ce6af0aebacdc9f241f009cd6da62c9a0
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 39740e7ce6af0aebacdc9f241f009cd6da62c9a0
Author: Son Nguyen <email address hidden>
Date: Thu Jan 15 09:23:13 2015 +1300

Using the new format for plugin configs. Bug 1410953

The old format caused a strict standards warning in PHP 5.5

Change-Id: I3014aae0bbdca131c63735a5daade299d11a265b
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
Aaron Wells (u-aaronw) on 2015-04-20
Changed in mahara:
importance: High → Low

Reviewed: https://reviews.mahara.org/4676
Committed: http://gitorious.org/mahara/mahara/commit/01dd4847d3cfd0e2479dad6ab8c4c90c332bc087
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.9_STABLE

commit 01dd4847d3cfd0e2479dad6ab8c4c90c332bc087
Author: Son Nguyen <email address hidden>
Date: Thu Jan 15 09:23:13 2015 +1300

Using the new format for plugin configs. Bug 1410953

The old format caused a strict standards warning in PHP 5.5

Change-Id: I3014aae0bbdca131c63735a5daade299d11a265b
Signed-off-by: Son Nguyen <email address hidden>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers